' FFSubmenu=GPS
' FFName=GeoBild
' FFScriptFiles=geobild.vbs
' FFScriptDirectory=geotemp
' FFScriptProfile=GeoBild
' erzeugt auf der Grundlage der Geo-Koordinaten der markierten Bilder 
' mittels der Google Static Maps API Kartenausschnitte
' KGsoft (praetor), Version 2.3 vom 18.09.2011
'					Version 2,4 vom 29.12.2018, API-Key ergnzt	(Z 20, 501)			

Option Explicit
Const Version = "V 2.4"
Const blank_symbol = "http://pkh-fix.de/ff/pin/blank.png" 		' fr Karte ohne Markierung, damit Kartengre stimmt.
' ab hier knnen eigene Symbole eingetragen werden
Const symbol1 = "http://pkh-fix.de/ff/pin/camera-photo.png"
Const symbol2 = "http://pkh-fix.de/ff/pin/flag_red.png"
Const symbol3 = "http://pkh-fix.de/ff/pin/pin.png"
Const symbol4 = "http://pkh-fix.de/ff/pin/pin-red.png"
Const symbol5 = "http://pkh-fix.de/ff/pin/monotone_camera_photography.png"
Const apikey = "&key=AIzaSyDz0gvDvggrHqIS4k-ijffnjhe5v56ooeE"

'weitere Symbole, die eingebunden werden knnen
' s. auch 
' http://pkh-fix.de/ff/pin/camera.png
' http://pkh-fix.de/ff/pin/flag_red1.png
' http://pkh-fix.de/ff/pin/foto.png

const RegSchluessel = "GeoBild"						'Registryschlssel
Dim	Bild
Dim Quelle
Dim Koordinaten, Kartentyp, Dimension, Zoom, Marker
Dim KoordinateBild1
Dim Markersize, Markercolor, Markerlabel
Dim Breite, Laenge
Dim breite_dez
Dim laenge_dez
Dim Dialogmarker
Dim url
Dim Taste
Dim ListeBilder, i
Dim KoordArray() 
Dim AnzBilder
Dim privicon
Dim typ 		'1 = Markierung, 2 = nummeriert, 3 = eigene Icons, 4 = ohne Markierung
Dim nixmarkiert
Dim Anz
Dim ExtParam, ExtParamFeld	' fr externen Aufruf des Scripts
Dim m
Dim Zaehler
Dim Bildsize, Suchmuster

Dim Albumdatei	' fr Aufruf via Album-Maker	
Dim fso, f
Dim FileBilder
Const ForReading = 1, ForWriting = 2

' fr Hilfe
Dim Taste2
Dim objFs, Kurzbeschreibung, KBvorhanden, LaengeMax
Dim WshShell
Const API_url = "http://code.google.com/intl/de/apis/maps/documentation/staticmaps/"
const SkriptName = "geobild.vbs"			' Skriptname

Call Dialog
Call SymbolIni
Call Main

Sub Main()

	if not Version_equal_or_better("3.02.00") then			' Versionskontrolle
		 Msgbox "Es ist mindestens die FF-Version 3.02 erforderlich. Das Script wird beendet"
		 Exit Sub
	End if
		
	ExtParam = FF_GetParam			' bergabe von Collage+, C1 = Computeransicht, C2 = Liste, 
									' Z = Nummerierung mit Zahlen beginnend, B = Nummerierung mit Buchstaben beginnend
	If ExtParam <> "" Then									' Script wurde mit Parametern aufgerufen (Datei ist Quelle)
		ExtParamFeld = Split(ExtParam, ",")
		FF_EnableControl "Geobild","ZwAb", False 			' Probleme Collage+ bei Verwendung Zwischenablage vermeiden
	Else													' Computeransicht oder Liste sind Quelle
		' Startanzeige mit Markierungen
		nixmarkiert = 0
		if FF_GetImageCount = 0 Then						' in ComputerAnsicht keine Bilder markiert
			FF_EnableControl"Geobild","ca_bool", False
			nixmarkiert = nixmarkiert + 1
		End If
		if FF_GetSelection(3) = "" Then						' in Liste keine Bilder markiert
			FF_EnableControl"Geobild","list_bool", False
			nixmarkiert = nixmarkiert + 1
		End If
		if nixmarkiert = 2 then
			msgbox "Weder in der Computer-Ansicht noch in der aktuellen Bilderliste sind Bilder markiert." & vbNewLine & vbNewLine & "Bitte zunchst die Bilder markieren, deren Standorte angezeigt werden sollen." & vbNewLine & vbNewLine & "Das Skript wird jetzt beendet.", 48
			exit sub
		end if
	End If
	' div. Vorbelegungen
	if FF_GetProfile(RegSchluessel,"Bildgroesse") <> "" then 	' RegEintrge schon vorhanden
		Call RegLesen
		Select Case FF_GetControl("Geobild","listbox_maptype")
			Case "Karte"
				Kartentyp = "&maptype=raodmap"
			Case "Satellit"
				Kartentyp = "&maptype=satellite"
			Case "Hybrid"
				Kartentyp = "&maptype=hybrid"
			Case "Gelnde"
				Kartentyp = "&maptype=terrain"
		End Select
		Dimension = "&size=" & FF_GetControl("Geobild","groesse_edit")
		Markersize = "size:" & FF_GetControl("Geobild","marker_size") & "|"
		Markercolor = "&markers=color:" & FF_GetControl("Geobild","combo_farbe") & "|"
		Markerlabel = "label:" & FF_GetControl("Geobild","edit_label") & "|"
		if FF_GetControl ("Geobild","bool_marker_nummeriert") = "0" Then
			FF_EnableControl "Geobild", "bool_12az", False
			FF_EnableControl "Geobild", "bool_az12", False			
		End If
		if FF_GetControl ("Geobild","bool_marker_symbol") = "1" Then
			FF_EnableControl "Geobild", "bool_symb_1", True 
			FF_EnableControl "Geobild", "bool_symb_2", True
			FF_EnableControl "Geobild", "bool_symb_3", True
			FF_EnableControl "Geobild", "bool_symb_4", True
			FF_EnableControl "Geobild", "bool_symb_5", True
		End If
		if FF_GetControl ("Geobild","bool_symb_1") = "1" Then privicon = symbol1
		if FF_GetControl ("Geobild","bool_symb_2") = "1" Then privicon = symbol2
		if FF_GetControl ("Geobild","bool_symb_3") = "1" Then privicon = symbol3
		if FF_GetControl ("Geobild","bool_symb_4") = "1" Then privicon = symbol4
		if FF_GetControl ("Geobild","bool_symb_5") = "1" Then privicon = symbol5
	Else														' noch keine RegEinrge
		Kartentyp = "&maptype=satellite"
		FF_SetControl "Geobild","groesse_edit", "640x640"
		Dimension = "&size=640x640"
		Markersize = "size:normal|"
		Markercolor = "&markers=color:blue|"
		Markerlabel = "label:A|"
		FF_SetControl "Geobild","bool_marker_mit", "1"
		FF_SetControl "Geobild","bool_marker_nummeriert", "0" 
		FF_SetControl "Geobild","bool_12az", "1"
		FF_SetControl "Geobild","bool_symb_1", "1"
		privicon = symbol1
		typ = 1
	End If
	FF_SetControl "Geobild","combo_zoom", "-"
	Zoom = ""
	
	do								' Auswertung Button im Dialog
		
		If ExtParam <> "" Then				' ext. Parameter verarbeiten
			Select Case ExtParamFeld(0)		' Bilderquelle
				Case "C1"
					Quelle = "CA"			' Computeransicht
				Case "C2"
					Quelle = "LI"			' Bilderliste
				Case Else				
					Quelle = "AL"			' Datei des Album-Maker
					Albumdatei = ExtParamFeld(0) 
			End Select
			if ExtParamFeld(1) <> "" then	' Nummerierungsvorgabe wurde bergeben
				FF_SetControl "Geobild", "bool_marker_mit", "1"
				FF_SetControl "Geobild", "bool_marker_nummeriert", "1"
				FF_SetControl "Geobild", "bool_marker_symbol", "0"
				FF_EnableControl "Geobild", "bool_12az", false
				FF_EnableControl "Geobild", "bool_az12", false
				FF_EnableControl "Geobild", "bool_marker_mit", false
				FF_EnableControl "Geobild", "bool_marker_nummeriert", false
				FF_EnableControl "Geobild", "bool_marker_symbol", false
				typ = 2	
			End If
			Select Case ExtParamFeld(1)		' Nummerierung
				Case "Z"
					FF_SetControl "Geobild", "bool_12az", "1"
					FF_SetControl "Geobild", "bool_az12", "0"
				Case "B"
					FF_SetControl "Geobild", "bool_12az", "0"
					FF_SetControl "Geobild", "bool_az12", "1"				
			End Select
			ExtParam = ""
			dialogmarker = 0
			Call Bilder_einlesen
			Anz = AnzBilder
			FF_AddControl "Geobild",Anz,"STATIC",89,32,14,11
			FF_SetControlStyle "Geobild", Anz, 1
			FF_EnableControl"Geobild","ca_bool", False
			FF_EnableControl"Geobild","list_bool", False
			Call URL_neu
			m = 1
		Else									' Feld fr Bilderanzahl
			if m = 0 Then						' nur beim ersten Durchlauf
				Anz = "|"
				FF_AddControl "Geobild",Anz,"STATIC",89,32,14,11
				FF_SetControlStyle "Geobild", Anz, 1
				FF_SetControl "Geobild", "edit_url", vbNewLine & "       Bitte zunchst eine Quelle whlen (Computeransicht oder Bilderliste)!"
				'FF_AddControl "Geobild","Bitte zunchst eine Quelle whlen (Computeransicht oder Bilderliste)!","STATIC",162,125,188,17
				m = 1
			End If
		End If
		
		Taste = FF_ShowDialog("Geobild")
		Select Case Taste
			Case "ca_bool"
				if FF_GetControl("Geobild","ca_bool") = "1" then
					FF_SetControl "Geobild","list_bool", "0"
					if Quelle = "" or Quelle = "LI" Then
						Quelle = "CA"
						dialogmarker = 0
						Call Bilder_einlesen
						'FF_SetControl "Geobild", Anz, AnzBilder				' Anzeige der Bilderanzahl
					End If
					'msgbox KoordArray (1, 1)
					Call URL_neu
				Else
					FF_SetControl "Geobild","edit_breit", ""
					FF_SetControl "Geobild","edit_lang", ""
					FF_SetControl "Geobild","edit_breite_dez", ""
					FF_SetControl "Geobild","edit_laenge_dez", ""
					FF_SetControl "Geobild","edit_url", ""
					FF_SetControl "Geobild","image_geo", ""
					Quelle = ""
					dialogmarker = 0
				End If
			Case "list_bool"
				if FF_GetControl("Geobild","list_bool") = "1" then
					FF_SetControl "Geobild","ca_bool", "0"
					If	Quelle = "" or Quelle = "CA" Then
						Quelle = "LI"
						dialogmarker = 0
						Call Bilder_einlesen
						'FF_SetControl "Geobild", Anz, AnzBilder				' Anzeige der Bilderanzahl
					End If
					Call URL_neu
				Else
					FF_SetControl "Geobild","edit_breit", ""
					FF_SetControl "Geobild","edit_lang", ""
					FF_SetControl "Geobild","edit_breite_dez", ""
					FF_SetControl "Geobild","edit_laenge_dez", ""
					FF_SetControl "Geobild","edit_url", ""
					FF_SetControl "Geobild","image_geo", ""
					Quelle = ""
					dialogmarker = 0					
				End If
			Case "ok"				' Bildgre				
				Suchmuster = "^\d{2,3}x\d{2,3}$"
				Bildsize = FF_GetControl ("Geobild","groesse_edit")
				Bildsize = Replace (Bildsize, " ", "")						' Leerzeichen entfernen
				if SearchRegAusdr (Bildsize, Suchmuster, False) = true Then	' Eingabe ok
					Dimension = "&size=" & Bildsize
					Call URL_neu				
				Else														' unzulssige Eingabe
					MsgBox "Keine gltige Eingabe!" & vbNewLine & vbNewLine & "Die Werte fr Breite und Hhe des Bildes mssen zwei- oder dreistellig sein; sie mssen durch ein <x> voneinander getrennt werden." & vbNewLine & vbNewLine & "Die Bildgre wird auf die maximal mgliche Gre 640x640 zurckgesetzt." , 48
					FF_SetControl "Geobild","groesse_edit", "640x640"
				End If
			case "Max."				' Bildgre maximal
				FF_SetControl "Geobild","groesse_edit", "640x640"
				Dimension = "&size=" & FF_GetControl ("Geobild","groesse_edit")
				Call URL_neu
			Case "listbox_maptype"
				FF_RefreshDialog "Geobild"
				Select Case FF_GetControl("Geobild","listbox_maptype")
					Case "Karte"
						Kartentyp = "&maptype=raodmap"
					Case "Satellit"
						Kartentyp = "&maptype=satellite"
					Case "Hybrid"
						Kartentyp = "&maptype=hybrid"
					Case "Gelnde"
						Kartentyp = "&maptype=terrain"
				End Select
				Call URL_neu
			Case "combo_zoom"
				FF_RefreshDialog "Geobild"
				Zoom = "&zoom=" & FF_GetControl("Geobild","combo_zoom")
				if Zoom = "&zoom=-" then 
					Zoom = "&zoom="
				End If
				Call URL_neu
			Case "combo_farbe"
				FF_RefreshDialog "Geobild"
				Markercolor = "&markers=color:" & FF_GetControl("Geobild","combo_farbe") & "|"
				Call URL_neu
			Case "edit_label"
				FF_RefreshDialog "Geobild"
				Markerlabel = "label:" & FF_GetControl("Geobild","edit_label")  & "|"
				Call URL_neu
			Case "marker_size"
				FF_RefreshDialog "Geobild"
				Markersize = "size:" & FF_GetControl("Geobild","marker_size") & "|"
				Call URL_neu
			Case "bool_marker_mit" 
				FF_RefreshDialog "Geobild"
				if FF_GetControl ("Geobild","bool_marker_mit") = "1" Then
					FF_EnableControl "Geobild","bool_marker_nummeriert", True
					FF_EnableControl "Geobild","bool_marker_symbol", True
					if FF_GetControl("Geobild","bool_marker_nummeriert") = "1" Then
						FF_EnableControl "Geobild","bool_12az", True
						FF_EnableControl "Geobild","bool_az12", True
						typ = 2
					ElseIf FF_GetControl("Geobild", "bool_marker_symbol") = "1" Then
						FF_EnableControl "Geobild", "bool_symb_1", True 
						FF_EnableControl "Geobild", "bool_symb_2", True
						FF_EnableControl "Geobild", "bool_symb_3", True
						FF_EnableControl "Geobild", "bool_symb_4", True
						FF_EnableControl "Geobild", "bool_symb_5", True
						typ = 3
					Else
						typ = 1
					End If
				Else
					FF_EnableControl "Geobild","bool_marker_nummeriert", False
					FF_EnableControl "Geobild","bool_12az", False
					FF_EnableControl "Geobild","bool_az12", False
					FF_EnableControl "Geobild","bool_marker_symbol", False
					FF_EnableControl "Geobild", "bool_symb_1", False
					FF_EnableControl "Geobild", "bool_symb_2", False
					FF_EnableControl "Geobild", "bool_symb_3", False
					FF_EnableControl "Geobild", "bool_symb_4", False
					FF_EnableControl "Geobild", "bool_symb_5", False
					typ = 4
				End If
				Call URL_neu
			Case "bool_marker_nummeriert"
				FF_RefreshDialog "Geobild"
				if FF_GetControl("Geobild","bool_marker_nummeriert") = "1" Then
					FF_SetControl "Geobild","bool_marker_symbol", "0"
					FF_EnableControl "Geobild", "bool_12az", True
					FF_EnableControl "Geobild", "bool_az12", True
					FF_EnableControl "Geobild", "bool_symb_1", False
					FF_EnableControl "Geobild", "bool_symb_2", False
					FF_EnableControl "Geobild", "bool_symb_3", False
					FF_EnableControl "Geobild", "bool_symb_4", False
					FF_EnableControl "Geobild", "bool_symb_5", False
					typ = 2
				Else
					FF_EnableControl "Geobild", "bool_12az", False
					FF_EnableControl "Geobild", "bool_az12", False
					typ = 1
				End If
				Call URL_neu
			Case "bool_12az"
				FF_RefreshDialog "Geobild"
				If FF_GetControl("Geobild","bool_12az") = "1" Then
					FF_SetControl "Geobild","bool_az12", "0"
				Else
					FF_SetControl "Geobild","bool_az12", "1"
				End If
				Call URL_neu
			Case "bool_az12"
				FF_RefreshDialog "Geobild"
				If FF_GetControl("Geobild","bool_az12") = "1" Then
					FF_SetControl "Geobild","bool_12az", "0"
				Else
					FF_SetControl "Geobild","bool_12az", "1"
				End If
				Call URL_neu
			Case "bool_marker_symbol"
				FF_RefreshDialog "Geobild"
				if FF_GetControl("Geobild", "bool_marker_symbol") = "1" Then
					FF_EnableControl "Geobild", "bool_symb_1", True 
					FF_EnableControl "Geobild", "bool_symb_2", True
					FF_EnableControl "Geobild", "bool_symb_3", True
					FF_EnableControl "Geobild", "bool_symb_4", True
					FF_EnableControl "Geobild", "bool_symb_5", True
					FF_EnableControl "Geobild", "bool_12az", False
					FF_EnableControl "Geobild", "bool_az12", False
					if FF_GetControl ("Geobild","bool_symb_1") = "1" Then privicon = symbol1
					if FF_GetControl ("Geobild","bool_symb_2") = "1" Then privicon = symbol2
					if FF_GetControl ("Geobild","bool_symb_3") = "1" Then privicon = symbol3
					if FF_GetControl ("Geobild","bool_symb_4") = "1" Then privicon = symbol4
					if FF_GetControl ("Geobild","bool_symb_5") = "1" Then privicon = symbol5
					FF_SetControl "Geobild","bool_marker_nummeriert", "0"
					typ = 3
					Call URL_neu
				else 
					FF_EnableControl "Geobild", "bool_symb_1", False
					FF_EnableControl "Geobild", "bool_symb_2", False
					FF_EnableControl "Geobild", "bool_symb_3", False
					FF_EnableControl "Geobild", "bool_symb_4", False
					FF_EnableControl "Geobild", "bool_symb_5", False
					typ = 1
					Call URL_neu
				End If
			Case "bool_symb_1"
				FF_RefreshDialog "Geobild"
				if FF_GetControl ("Geobild","bool_symb_1") = "1" Then
					FF_SetControl "Geobild", "bool_symb_2", "0"
					FF_SetControl "Geobild", "bool_symb_3", "0"
					FF_SetControl "Geobild", "bool_symb_4", "0"
					FF_SetControl "Geobild", "bool_symb_5", "0"
					privicon = symbol1
					Call URL_neu
				End If
			Case "bool_symb_2"
				FF_RefreshDialog "Geobild"
				if FF_GetControl ("Geobild","bool_symb_2") = "1" Then
					FF_SetControl "Geobild", "bool_symb_1", "0"
					FF_SetControl "Geobild", "bool_symb_3", "0"
					FF_SetControl "Geobild", "bool_symb_4", "0"
					FF_SetControl "Geobild", "bool_symb_5", "0"
					privicon = symbol2
					Call URL_neu
				End If
			Case "bool_symb_3"
				FF_RefreshDialog "Geobild"
				if FF_GetControl ("Geobild","bool_symb_3") = "1" Then
					FF_SetControl "Geobild", "bool_symb_1", "0"
					FF_SetControl "Geobild", "bool_symb_2", "0"
					FF_SetControl "Geobild", "bool_symb_4", "0"
					FF_SetControl "Geobild", "bool_symb_5", "0"
					privicon = symbol3
					Call URL_neu
				End If
			Case "bool_symb_4"
				FF_RefreshDialog "Geobild"
				if FF_GetControl ("Geobild","bool_symb_4") = "1" Then
					FF_SetControl "Geobild", "bool_symb_1", "0"
					FF_SetControl "Geobild", "bool_symb_2", "0"
					FF_SetControl "Geobild", "bool_symb_3", "0"
					FF_SetControl "Geobild", "bool_symb_5", "0"
					privicon = symbol4
					Call URL_neu
				End If
			Case "bool_symb_5"
				FF_RefreshDialog "Geobild"
				if FF_GetControl ("Geobild","bool_symb_5") = "1" Then
					FF_SetControl "Geobild", "bool_symb_1", "0"
					FF_SetControl "Geobild", "bool_symb_2", "0"
					FF_SetControl "Geobild", "bool_symb_3", "0"
					FF_SetControl "Geobild", "bool_symb_4", "0"
					privicon = symbol5
					Call URL_neu
				End If
			Case "Go"
				FF_LoadURL FF_GetControl("Geobild", "edit_url"), FF_GetFFPathEx(2) & "\geotemp\geotemp.png"
				FF_SetControl "Geobild", "image_geo", FF_GetFFPathEx(2) & "\geotemp\geotemp.png"
			Case "ZwAb"
				FF_TextToClipboard FF_GetControl ("Geobild", "edit_url")
			Case "Web"
				Dim wshshell
				Set wshshell = CreateObject("WScript.Shell")
				wshshell.Run FF_GetControl ("Geobild", "edit_url")
			Case "bernehmen" & vbLf & "&& Beenden"
				'If ExtParam <> "" Then			' Script wurde mit Parametern aufgerufen (Datei ist Quelle)		!!##!!	
				on error resume next
				do
				FF_LoadImage  FF_GetFFPathEx(2) & "\geotemp\geotemp.png"	' Laden in Fehlerschleife, um Zugriffsprobleme zu umgehen
					if err.number=0 then exit do
					err.clear
				loop
				on error goto 0
				FF_Reload					' wirkungslos bei Aufruf durch Fremdscript, muss dann von dort erfolgen
				FF_SetParam "GeoOK"			' Ergebnisbergabe fr Collage+
				Call RegSchreiben
				Exit Sub
			Case "Beenden"
				Call RegSchreiben
				Exit Sub
			Case "CANCEL"
				Exit Sub
			Case "?"
				Call Help
		End Select
	loop
End Sub

Sub URL_neu

	url = ""
	if Quelle = "" Then
		MsgBox "Bitte zunchst eine Quelle whlen (Computeransicht oder Bilderliste).", 48
		Exit Sub
	End If
	
	Select Case Typ
	Case 1		' mit Markierung
		url = "http://maps.google.com/maps/api/staticmap?" & Dimension & Kartentyp & Markercolor & Markersize & Markerlabel & Koordinaten & Zoom & "&sensor=false"
	Case 2		' Markierungen numeriert
		url = "http://maps.google.com/maps/api/staticmap?" & Dimension & Kartentyp
		for i = 1 to AnzBilder
			if FF_GetControl ("Geobild", "bool_12az") = "1" Then	' Nummerierung Zahlen ... Buchstaben
				If i < 10 Then Zaehler = i
				If i > 9 then Zaehler = Chr(i+55)
			else													' Nummerierung Buchstaben ... Zhalen
				if i < 27 Then Zaehler = Chr(i + 64)
				if i > 26 Then Zaehler = i - 26
			End If
			url = url & Markercolor & Markersize & "label:" & Zaehler & "|" & KoordArray (2,i) & "|"
		Next
		url = url & Zoom & "&sensor=false"
	Case 3		' eigene Icons
		url = "http://maps.google.com/maps/api/staticmap?" & Dimension & Kartentyp & "&markers=icon:" & privicon & "|"
		for i = 1 to AnzBilder
			url = url & KoordArray (2,i) & "|" 
		Next
		url = url & Zoom & "&sensor=false"
	Case 4		' ohne Markierungen
		url = "http://maps.google.com/maps/api/staticmap?" & Dimension & Kartentyp & "&markers=icon:" & blank_symbol & "|"
		for i = 1 to AnzBilder
			url = url & KoordArray (2,i) & "|" 
		Next
		url = url & Zoom & "&sensor=false"
	End Select
	url = url & apikey
	FF_SetControl "Geobild", "edit_url", url
	FF_LoadURL url, FF_GetFFPathEx(2) & "\geotemp\geotemp.png"
	FF_SetControl "Geobild", "image_geo", FF_GetFFPathEx(2) & "\geotemp\geotemp.png"
	if len(url)	> 2048 Then
		MsgBox "Die URL berschreitet den maximale Lnge von 2048 Zeichen. Es werden nicht alle Paremeter bercksichtigt."
	end if
End Sub

'********************************************
'* grad2decimal wandelt  ' " in dezimal
'********************************************
function grad2decimal(ByVal p_Str)
	dim l_Richtung
	dim l_Pos
	dim l_Wert

	if p_Str<>"" then
		p_Str=replace(p_Str,".",",",1)
		l_Richtung=left(p_Str,1)
		p_Str=ltrim(right(p_Str,len(p_Str)-1))
		l_Pos=instr(p_Str,"")
		'msgbox l_Wert
		l_Wert=1.0*(left(p_Str,l_Pos-1))
		p_Str=ltrim(right(p_Str,len(p_Str)-l_Pos))
		l_Pos=instr(p_Str,"'")
		l_Wert=l_Wert + (left(p_Str,l_Pos-1))/60
		p_Str=ltrim(right(p_Str,len(p_Str)-l_Pos))
		l_Pos=instr(p_Str,"""")
		l_Wert=l_Wert + (left(p_Str,l_Pos-1))/3600
		Select Case l_Richtung
			Case "s", "S", "w", "W"
				grad2decimal="-" & replace(FormatNumber(l_Wert,6),",",".",1)
			case Else
				grad2decimal=replace(FormatNumber(l_Wert,6),",",".",1)
		End Select
	else
		grad2decimal=""
	end if

end function

Sub Bilder_einlesen
	Select Case Quelle
		Case "CA"					' selektierte Dateien der Computeransicht
			ListeBilder = split(FF_GetSelection(1), vbNewLine)
		Case "LI"					' selektierte Dateien der aktuellen Bilderliste
			ListeBilder = split(FF_GetSelection(3), vbNewLine)
		case "AL"					' Bilder gem Liste des Album-Maker
			' Albumdatei auslesen
			Set fso = CreateObject("Scripting.FileSystemObject")
			Set f = fso.OpenTextFile(Albumdatei, ForReading)
			'ListeBilder = split(f.ReadAll, vbNewLine)		' vbNewLine funktioniert bei der Datei nicht, oder doch??
			FileBilder = f.ReadAll
			if Right(FileBilder,2) = vbNewLine then			' Tewxtdatei endet mit vbNewLine 
				FileBilder = Left(FileBilder, Len(FileBilder)-2)
			End If
			ListeBilder = split(FileBilder, vbNewLine)
			Set fso = Nothing
	End Select
	
	Redim KoordArray (2, 1)
	
	AnzBilder = 1
	for i = 0 to UBound(ListeBilder)
		FF_LoadExif ListeBilder(i)
		Breite = FF_GetExifTag("Latitude")
		Laenge = FF_GetExifTag("Longitude")
		if Breite = "" Then
			MsgBox "Das Bild " & ListeBilder(i) & " enthlt keine GEO-Informationen. Das Bild wird nicht bercksichtigt."
		Else
			' Koordinaten des ersten markierten Bildes im Dialog anzeigen, bzw. des ersten Bild mit Koordinaten
			if dialogmarker = 0 Then	'nur Bilder des ersten Bildes
				FF_SetControl "Geobild", "edit_lang", Laenge
				FF_SetControl "Geobild", "edit_breit", Breite
				FF_SetControl "Geobild", "edit_laenge_dez", grad2decimal (Laenge)
				FF_SetControl "Geobild", "edit_breite_dez", grad2decimal (Breite)	
				dialogmarker = 1
			End If
			
			Redim Preserve KoordArray (2, AnzBilder)
			
			KoordArray (1, AnzBilder) = ListeBilder(i)
			KoordArray (2, AnzBilder) = grad2decimal (Breite) & "," & grad2decimal (Laenge)
			AnzBilder = AnzBilder +1
		End If
	next
	AnzBilder = AnzBilder - 1
	FF_SetControl "Geobild", Anz, AnzBilder				' Anzeige der Bilderanzahl     ????????????
	for i = 1 to AnzBilder
		Koordinaten = Koordinaten & KoordArray (2, i) & "|" 
	next
	
End Sub


Sub SymbolIni
	if symbol1 <> "" Then
		FF_LoadURL symbol1, FF_GetFFPathEx(2) & "\geotemp\symb1.png"
		FF_SetControl "Geobild", "img_symb_1", FF_GetFFPathEx(2) & "\geotemp\symb1.png"
	End If
	if symbol2 <> "" Then
		FF_LoadURL symbol2, FF_GetFFPathEx(2) & "\geotemp\symb2.png"
		FF_SetControl "Geobild", "img_symb_2", FF_GetFFPathEx(2) & "\geotemp\symb2.png"
	End If
	if symbol3 <> "" Then
		FF_LoadURL symbol3, FF_GetFFPathEx(2) & "\geotemp\symb3.png"
		FF_SetControl "Geobild", "img_symb_3", FF_GetFFPathEx(2) & "\geotemp\symb3.png"
	End If
	if symbol4 <> "" Then
		FF_LoadURL symbol4, FF_GetFFPathEx(2) & "\geotemp\symb4.png"
		FF_SetControl "Geobild", "img_symb_4", FF_GetFFPathEx(2) & "\geotemp\symb4.png"
	End If
	if symbol5 <> "" Then
		FF_LoadURL symbol5, FF_GetFFPathEx(2) & "\geotemp\symb5.png"
		FF_SetControl "Geobild", "img_symb_5", FF_GetFFPathEx(2) & "\geotemp\symb5.png"
	End If
End Sub

Sub RegLesen
	FF_SetControl "Geobild","groesse_edit", FF_GetProfile(RegSchluessel,"Bildgroesse")
	FF_SetControl "Geobild","listbox_maptype", FF_GetProfile(RegSchluessel,"KTyp")
	FF_SetControl "Geobild","bool_marker_mit", FF_GetProfile(RegSchluessel,"mMark")
	FF_SetControl "Geobild","bool_marker_nummeriert", FF_GetProfile(RegSchluessel,"forNum")
	FF_SetControl "Geobild","bool_12az", FF_GetProfile(RegSchluessel,"12az")
	FF_SetControl "Geobild","bool_az12", FF_GetProfile(RegSchluessel,"az12")
	FF_SetControl "Geobild","bool_marker_symbol", FF_GetProfile(RegSchluessel,"eigSymb")
	FF_SetControl "Geobild","bool_symb_1", FF_GetProfile(RegSchluessel,"symb1")
	FF_SetControl "Geobild","bool_symb_2", FF_GetProfile(RegSchluessel,"symb2")
	FF_SetControl "Geobild","bool_symb_3", FF_GetProfile(RegSchluessel,"symb3")
	FF_SetControl "Geobild","bool_symb_4", FF_GetProfile(RegSchluessel,"symb4")
	FF_SetControl "Geobild","bool_symb_5", FF_GetProfile(RegSchluessel,"symb5")
	FF_SetControl "Geobild","edit_label", FF_GetProfile(RegSchluessel,"Label")
	FF_SetControl "Geobild","combo_farbe", FF_GetProfile(RegSchluessel,"Farbe")
	FF_SetControl "Geobild","marker_size", FF_GetProfile(RegSchluessel,"Groesse")
	typ = FF_GetProfile(RegSchluessel,"Typ")
End Sub

Sub RegSchreiben
	' Registry schreiben
	FF_WriteProfile RegSchluessel,"Bildgroesse", FF_GetControl ("Geobild","groesse_edit")
	FF_WriteProfile RegSchluessel,"KTyp", FF_GetControl ("Geobild","listbox_maptype")
	FF_WriteProfile RegSchluessel,"mMark", FF_GetControl ("Geobild","bool_marker_mit")
	FF_WriteProfile RegSchluessel,"forNum", FF_GetControl ("Geobild","bool_marker_nummeriert")
	FF_WriteProfile RegSchluessel,"12az", FF_GetControl ("Geobild","bool_12az")
	FF_WriteProfile RegSchluessel,"az12", FF_GetControl ("Geobild","bool_az12")
	FF_WriteProfile RegSchluessel,"eigSymb", FF_GetControl ("Geobild","bool_marker_symbol")
	FF_WriteProfile RegSchluessel,"symb1", FF_GetControl ("Geobild","bool_symb_1")
	FF_WriteProfile RegSchluessel,"symb2", FF_GetControl ("Geobild","bool_symb_2")
	FF_WriteProfile RegSchluessel,"symb3", FF_GetControl ("Geobild","bool_symb_3")
	FF_WriteProfile RegSchluessel,"symb4", FF_GetControl ("Geobild","bool_symb_4")
	FF_WriteProfile RegSchluessel,"symb5", FF_GetControl ("Geobild","bool_symb_5")
	FF_WriteProfile RegSchluessel,"Label", FF_GetControl ("Geobild","edit_label")
	FF_WriteProfile RegSchluessel,"Farbe", FF_GetControl ("Geobild","combo_farbe")
	FF_WriteProfile RegSchluessel,"Groesse", FF_GetControl ("Geobild","marker_size")
	FF_WriteProfile RegSchluessel,"Typ", typ
End Sub

Function SearchRegAusdr(Zeichenfolge, Muster, GrossKleinBeachten)
' Vergleich einer Zeigenfolge mit einem Suchmuster, bei bereinstimmung
' wird True zurckgegeben, sonst False
	Dim regAusdr           
	Set regAusdr = New RegExp         
	regAusdr.Pattern = Muster         
	regAusdr.IgnoreCase = GrossKleinBeachten	' Bercksichtigung der Gro-/Kleinschreibung
	regAusdr.Global = True						' Legt globales Anwenden fest
	If regAusdr.Test(Zeichenfolge) then 	
		SearchRegAusdr = True
	Else
		SearchRegAusdr = False
	End If
End Function

' ** Versionskontrolle **
Function Version_equal_or_better(p_Vers)
     Dim l_VersNr
     l_VersNr=split(p_Vers,".")
     version_equal_or_better=(FF_GetMajor*1000+FF_GetMinor+FF_GetBuild/1000 >= l_VersNr(0)*1000+l_VersNr(1)+l_VersNr(2)/1000)
End Function

Sub Help
	'** Start Dialog Anleitung **
	FF_AddDialog "Anleitung",260,250
	FF_AddControl "Anleitung","helpedit","EDIT",0,0,260,233
	FF_SetControlStyle "Anleitung","helpedit", 2097152
	FF_AddControl "Anleitung","OK","BUTTON",224,236,33,11
	FF_AddControl "Anleitung","Static Maps API","BUTTON",4,236,40,11
	'** End Dialog Anleitung **
		
	if not KBvorhanden then	
		Call KurzbeschreibungLesen
	End If
	FF_SetControl "Anleitung","helpedit", Kurzbeschreibung
	
	do								' Auswertung Button im Dialog
		Taste2 = FF_ShowDialog("Anleitung")
		Select Case Taste2
			Case "OK"
				FF_CloseDialog "Anleitung"
				Exit Sub
			Case "Static Maps API"
				Set wshshell = CreateObject("WScript.Shell")
				Wshshell.Run API_url
			Case "CANCEL"
				FF_CloseDialog "Anleitung"
				Exit Sub
		End Select
	loop
End Sub

'** Start Kurzbeschreibung *********************************
'GeoBild - Kartenauschnitt aus den Bildkoordinaten erzeugen
'====================================================

'GeoBild wertet die in den Bildern hinterlegten geografischen Koordinaten aus und erzeugt mittels der "Static Maps API" von Google Maps einen Kartenausschnitt, der die Aufnahmeorte der Bilder zeigt. Der Kartenausschnitt kann in den Arbeitsbereich von FixFoto bernommen werden. Alterantiv kann der Link zur Erzeugung des Kartenaussschnitts kopiert und z. B. fr eigene Web-Projekte verwendet werden.  
'
'Im Einzelnen:
'1. Grundlage sind die markierten Bilder in der Computer-Ansicht oder in der aktuellen Bilderliste. Dies wird ber <Quelle> ausgewhlt.
'
'2. Die Breiten- und Lngenkoordinaten des ersten markierten Bildes werden - nur zur Information - angezeigt.
'
' ber <Bildgre> kann die Gre des zu erzeugenden Kartenausschnitts bestimmt werden. Die Bildgre kann maximal 640x640 Pixel betragen, mit <Max.> kann dieser Wert schnell eingestellt werden. 
'
'3. Es stehen vier verschiedene <Kartentypen> zur Auswahl.
'
'4. Der <Zoom>-Wert wird in der Standardeinstellung "-" automatisch so gewhlt, dass die Positionen aller Bilder auf dem Kartenausschnitt dargestellt werden. Es empfiehlt sich, erst den Kartenausschnitt zu erzeugen und danach mit anderen <Zoom>-Werten zu experimentieren.
' 
'5. Die Standorte der Bilder knnen markiert werden, wobei verschiedene Optionen zur Verfgung stehen:
'
'a) Die einfache Markierung (nur <mit Markierung> ist angehakt) ermglicht die Einstellung des <Label>, der <Farbe> sowie der <Gre>.
'
'b) Die <fortlaufend nummerierte> Markierung weist den Bildstandorten in der Reihenfolge der Bilder mit <1-9..A-Z> Ziffern (1-9) und Buchstaben (A-Z), wahlweise auch in umgekehrter Reihenfolge mit <A-Z..1-9>, zu. Einstellbar sind hier <Gre> und <Farbe>.
'
'c) Fr die Markierung kann ein <eigenes Symbol> verwendet werden. Zur Auswahl stehen 5 Symbole. Diese mssen online verfgbar sein; die URLs sind im Skript (geobild.vbs) in den Zeilen 11 - 16 zu hinterlegen. Im Skript sind bereits einige Bsp.-Symbole angegeben. Weitere Einstellmglichkeiten bestehen bei der Verwendung eigener Symbole nicht.
'
'5. Im unteren Bereich des Dialogs wird die URL angezeigt, die letztlich den Kartenausschnitt erzeugt. Dort knnen bei Bedarf manuelle nderungen vorgenommen und dann die URL mittels <Go> erneut aufgerufen werden. Mit <Web> wird die URL direkt im Browser geffnet, mit <ZwAb> kann die URL in die Zwischenablage bernommen werden.
'
'6. <bernehmen & Beenden> bergiebt das Bild in den Arbeitsbereich von FixFoto. Die individuellen Einstellungen - mit Ausnahme des Zoomfaktors - stehen nach einem Neustart wieder zur Verfgung. 
'
'7. Die Details der "Static Maps API" knnen online nachgelesen werden. Der Button links unten im Hilfefenster fhrt dort hin.
'  
'Bei der Benutzung des Skripte sollten die Nutzungsbedingungen von Google Maps beachtet werden! Die mit dem Skript erstellte und getestete URL darf auf privaten Seite verwendet werden. Nicht gestattet ist es dagegen, ein Bild aus Google Maps auf einer privaten Webseite zu verffentlichen.
'
'
'[Andreas Kleingnther  2010-2011]
'** Ende Kurzbeschreibung **********************************

Sub KurzbeschreibungLesen
	on error resume next
	Const ForReading = 1
	Dim Skript, Anfang, Ende, Zeile
	
	Set objFS = CreateObject("Scripting.FileSystemObject")	 ' FileSystemObject
	Set Skript = objFS.OpenTextFile(FF_GetScriptPath & "\" & SkriptName, ForReading, False)
	
	if err.number = 53 then
		msgbox "Wahrscheinlich wurde der Originalskriptname " & """" & SkriptName & """" & " abgendert." & vbNewLine & _
		   	"Die Kurzbeschreibung kann daher nicht angezeigt werden.",,"Meldung"
		exit sub
	end if
		
	Do While Skript.AtEndOfStream <> True
		Zeile = Skript.ReadLine
		
		if instr(Zeile,"** Ende Kurzbeschreibung") > 0 then Ende = true
		if Ende then exit do
		
		if Anfang then Kurzbeschreibung = Kurzbeschreibung & mid(Zeile,2) & vbNewLine
		if len(Zeile)-1 > LaengeMax then LaengeMax = len(Zeile)-1
		
		if instr(Zeile,"** Start Kurzbeschreibung") > 0 then Anfang = true
	Loop
	if Anfang and Ende then KBvorhanden = true
	Skript.Close
End Sub

Sub Dialog
	'** Start Dialog Geobild **
	FF_AddDialog "Geobild",390,318
	FF_AddControl "Geobild","Anz.","GROUP",87,25,17,20
	FF_AddControl "Geobild","","GROUP",4,25,79,76
	FF_AddControl "Geobild","  Quelle: markierte Bilder in ","GROUP",4,2,100,21
	FF_AddControl "Geobild","                                 ","GROUP",4,148,100,113
	FF_AddControl "Geobild","edit_breit","EDIT",8,40,70,10
	FF_SetControlStyle "Geobild","edit_breit",2048
	FF_AddControl "Geobild","bernehmen" & vbLf & "&& Beenden","BUTTON",68,264,35,16
	FF_AddControl "Geobild","edit_lang","EDIT",8,75,70,10
	FF_SetControlStyle "Geobild","edit_lang",2048
	FF_AddControl "Geobild","Breite (Latidude)","STATIC",9,29,63,11
	FF_AddControl "Geobild","Lnge (Longtidude)","STATIC",9,64,63,11
	FF_AddControl "Geobild","edit_breite_dez","EDIT",8,51,70,10
	FF_SetControlStyle "Geobild","edit_breite_dez",2048
	FF_AddControl "Geobild","edit_laenge_dez","EDIT",8,86,70,10
	FF_SetControlStyle "Geobild","edit_laenge_dez",2048
	FF_AddControl "Geobild","edit_url","EDIT",4,283,361,33
	FF_SetControlStyle "Geobild","edit_url",2097152
	FF_AddControl "Geobild","image_geo","IMAGE",109,0,280,280
	FF_AddControl "Geobild","listbox_maptype","COMBO",8,126,40,10
	FF_AddControl "Geobild","combo_zoom","COMBO",63,126,23,10
	FF_AddControl "Geobild","Go","BUTTON",368,283,20,10
	FF_AddControl "Geobild","ZwAb","BUTTON",368,295,20,10
	FF_AddControl "Geobild","combo_farbe","COMBO",70,231,29,10
	FF_AddControl "Geobild","edit_label","COMBO",26,231,17,10
	FF_SetControlStyle "Geobild","edit_label",8
	FF_AddControl "Geobild","bool_marker_mit","BOOL",49,147,8,8
	FF_SetControlStyle "Geobild","bool_marker_mit",16384
	FF_AddControl "Geobild","bool_marker_nummeriert","BOOL",82,159,8,8
	FF_SetControlStyle "Geobild","bool_marker_nummeriert",16384
	FF_AddControl "Geobild","mit Markierung","STATIC",9,145,37,11
	FF_AddControl "Geobild","fortlaufend nummerieren","STATIC",7,157,62,11
	FF_AddControl "Geobild","marker_size","COMBO",26,246,29,10
	FF_AddControl "Geobild","eigenes Symbol verwenden","STATIC",7,180,68,11
	FF_AddControl "Geobild","bool_marker_symbol","BOOL",82,182,8,8
	FF_SetControlStyle "Geobild","bool_marker_symbol",16384
	FF_AddControl "Geobild","img_symb_1","IMAGE",7,195,16,16
	FF_AddControl "Geobild","img_symb_2","IMAGE",26,195,16,16
	FF_AddControl "Geobild","img_symb_3","IMAGE",45,195,16,16
	FF_AddControl "Geobild","img_symb_4","IMAGE",64,195,16,16
	FF_AddControl "Geobild","img_symb_5","IMAGE",82,195,16,16
	FF_AddControl "Geobild","bool_symb_1","BOOL",12,213,6,6
	FF_SetControlStyle "Geobild","bool_symb_1",16384
	FF_AddControl "Geobild","bool_symb_2","BOOL",31,213,6,6
	FF_SetControlStyle "Geobild","bool_symb_2",16384
	FF_AddControl "Geobild","bool_symb_3","BOOL",50,213,6,6
	FF_SetControlStyle "Geobild","bool_symb_3",16384
	FF_AddControl "Geobild","bool_symb_4","BOOL",69,213,6,6
	FF_SetControlStyle "Geobild","bool_symb_4",16384
	FF_AddControl "Geobild","bool_symb_5","BOOL",87,213,6,6
	FF_SetControlStyle "Geobild","bool_symb_5",16384
	FF_AddControl "Geobild","Kartentyp","STATIC",8,115,31,11
	FF_AddControl "Geobild","Zoom","STATIC",65,115,33,11
	FF_AddControl "Geobild","?","BUTTON",5,264,16,16
	FF_AddControl "Geobild","Beenden","BUTTON",29,264,35,16
	FF_AddControl "Geobild","Gre","STATIC",7,246,17,11
	FF_AddControl "Geobild","Farbe","STATIC",52,230,18,11
	FF_AddControl "Geobild","Label","STATIC",7,231,19,11
	FF_AddControl "Geobild","groesse_edit","SLEDIT",35,105,36,10
	FF_SetControlStyle "Geobild","groesse_edit",0
	FF_AddControl "Geobild","Bildgre","STATIC",8,104,24,11
	FF_AddControl "Geobild","ca_bool","BOOL",44,12,8,8
	FF_SetControlStyle "Geobild","ca_bool",16384
	FF_AddControl "Geobild","list_bool","BOOL",90,12,8,8
	FF_SetControlStyle "Geobild","list_bool",16384
	FF_AddControl "Geobild","Comp.-Ansicht","STATIC",7,10,37,11
	FF_AddControl "Geobild","Bilder-Liste","STATIC",61,10,27,11
	FF_AddControl "Geobild","ok","BUTTON",75,105,11,10
	FF_AddControl "Geobild","Web","BUTTON",368,306,20,10
	FF_AddControl "Geobild","Max.","BUTTON",90,105,14,10
	FF_AddControl "Geobild","bool_12az","BOOL",32,168,6,6
	FF_SetControlStyle "Geobild","bool_12az",16384
	FF_AddControl "Geobild","bool_az12","BOOL",67,168,6,6
	FF_SetControlStyle "Geobild","bool_az12",16384
	FF_AddControl "Geobild","1-9..A-Z","STATIC",10,166,22,11
	FF_AddControl "Geobild","A-Z..1-9","STATIC",45,166,22,11
	FF_AddControl "Geobild",Version,"STATIC",78,246,25,11
	'** End Dialog Geobild **

	FF_SetControl "Geobild","listbox_maptype", "Satellit"
	'FF_SetControl "Geobild","listbox_maptype", "Satellit"	' Vorbelegung
	FF_SetControl "Geobild","listbox_maptype", "Karte"
	FF_SetControl "Geobild","listbox_maptype", "Hybrid"
	FF_SetControl "Geobild","listbox_maptype", "Gelnde"

	FF_SetControl "Geobild","combo_zoom", "-"
	FF_SetControl "Geobild","combo_zoom", "0"
	FF_SetControl "Geobild","combo_zoom", "1"
	FF_SetControl "Geobild","combo_zoom", "2"
	FF_SetControl "Geobild","combo_zoom", "3"
	FF_SetControl "Geobild","combo_zoom", "4"
	FF_SetControl "Geobild","combo_zoom", "5"
	FF_SetControl "Geobild","combo_zoom", "6"
	FF_SetControl "Geobild","combo_zoom", "7"
	FF_SetControl "Geobild","combo_zoom", "8"
	FF_SetControl "Geobild","combo_zoom", "9"
	FF_SetControl "Geobild","combo_zoom", "10"
	FF_SetControl "Geobild","combo_zoom", "11"
	FF_SetControl "Geobild","combo_zoom", "12"
	FF_SetControl "Geobild","combo_zoom", "13"
	FF_SetControl "Geobild","combo_zoom", "14"
	FF_SetControl "Geobild","combo_zoom", "15"
	FF_SetControl "Geobild","combo_zoom", "16"
	FF_SetControl "Geobild","combo_zoom", "17"
	FF_SetControl "Geobild","combo_zoom", "18"
	FF_SetControl "Geobild","combo_zoom", "19"
	FF_SetControl "Geobild","combo_zoom", "20"
	FF_SetControl "Geobild","combo_zoom", "21"
	FF_SetControl "Geobild","combo_zoom", "21+"
	'FF_SetControl "Geobild","combo_zoom", "18"			' Vorbelegung

	FF_SetControl "Geobild","combo_farbe", "black"
	FF_SetControl "Geobild","combo_farbe", "brown"
	FF_SetControl "Geobild","combo_farbe", "green"
	FF_SetControl "Geobild","combo_farbe", "purple"
	FF_SetControl "Geobild","combo_farbe", "yellow"
	FF_SetControl "Geobild","combo_farbe", "blue"
	FF_SetControl "Geobild","combo_farbe", "gray"
	FF_SetControl "Geobild","combo_farbe", "orange"
	FF_SetControl "Geobild","combo_farbe", "red"
	FF_SetControl "Geobild","combo_farbe", "white"
	FF_SetControl "Geobild","combo_farbe", "blue"		' Vorbelegung

	FF_SetControl "Geobild","edit_label", "1"
	FF_SetControl "Geobild","edit_label", "2"
	FF_SetControl "Geobild","edit_label", "3"
	FF_SetControl "Geobild","edit_label", "4"
	FF_SetControl "Geobild","edit_label", "5"
	FF_SetControl "Geobild","edit_label", "6"
	FF_SetControl "Geobild","edit_label", "7"
	FF_SetControl "Geobild","edit_label", "8"
	FF_SetControl "Geobild","edit_label", "9"
	FF_SetControl "Geobild","edit_label", "0"
	FF_SetControl "Geobild","edit_label", "A"
	FF_SetControl "Geobild","edit_label", "B"
	FF_SetControl "Geobild","edit_label", "C"
	FF_SetControl "Geobild","edit_label", "D"
	FF_SetControl "Geobild","edit_label", "E"
	FF_SetControl "Geobild","edit_label", "F"
	FF_SetControl "Geobild","edit_label", "G"
	FF_SetControl "Geobild","edit_label", "H"
	FF_SetControl "Geobild","edit_label", "I"
	FF_SetControl "Geobild","edit_label", "J"
	FF_SetControl "Geobild","edit_label", "K"
	FF_SetControl "Geobild","edit_label", "L"
	FF_SetControl "Geobild","edit_label", "M"
	FF_SetControl "Geobild","edit_label", "N"
	FF_SetControl "Geobild","edit_label", "O"
	FF_SetControl "Geobild","edit_label", "P"
	FF_SetControl "Geobild","edit_label", "Q"
	FF_SetControl "Geobild","edit_label", "R"
	FF_SetControl "Geobild","edit_label", "S"
	FF_SetControl "Geobild","edit_label", "T"
	FF_SetControl "Geobild","edit_label", "U"
	FF_SetControl "Geobild","edit_label", "V"
	FF_SetControl "Geobild","edit_label", "W"
	FF_SetControl "Geobild","edit_label", "X"
	FF_SetControl "Geobild","edit_label", "Y"
	FF_SetControl "Geobild","edit_label", "Z"
	FF_SetControl "Geobild","edit_label", "A"		' Vorgabe

	FF_SetControl "Geobild","marker_size", "normal"
	FF_SetControl "Geobild","marker_size", "mid"
	FF_SetControl "Geobild","marker_size", "small"
	FF_SetControl "Geobild","marker_size", "tiny"
	FF_SetControl "Geobild","marker_size", "normal"	'Vorgabe

	FF_EnableControl "Geobild", "bool_symb_1", False
	FF_EnableControl "Geobild", "bool_symb_2", False
	FF_EnableControl "Geobild", "bool_symb_3", False
	FF_EnableControl "Geobild", "bool_symb_4", False
	FF_EnableControl "Geobild", "bool_symb_5", False

End Sub
